ZIP_SOURCE_BEGIN_WRITE(3)

NAME
zip_source_begin_write - prepare zip source for writing

LIBRARY
libzip (-lzip)

SYNOPSIS
zip.h int zip_source_begin_write zip_source_t *source

DESCRIPTION
The function zip_source_begin_write prepares source for writing. Usually this involves creating temporary files or allocating buffers.

RETURN VALUES
Upon successful completion 0 is returned. Otherwise, -1 is returned and the error information in source is set to indicate the error.

SEE ALSO
libzip(3), zip_source(3), zip_source_commit_write(3), zip_source_rollback_write(3), zip_source_seek_write(3), zip_source_tell_write(3), zip_source_write(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>